# delete-indentation(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

delete-indentation - Join 2 lines deleting white spaces

## SYNOPSIS

n delete-indentation

## DESCRIPTION

delete-indentation deletes all white characters between the beginning of the current line and the end of the previous line, including the line-feed. If the current line is not empty then a space is inserted to divide the two lines now joined.

If a positive argument n is given then the process is repeated n times. Note that the deleted characters are not added to a kill buffer.

## NOTES

delete-indentation is a macro defined in `format.emf`.

## SEE ALSO

delete-blank-lines(2), clean(3), kill-line(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>